Version 6.7.7 Source

Table Name: `tabLeave Block List`

Block Holidays on important days.

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `leave_block_list_name` | Data | Leave Block List Name |
2 | `year` | Link | Year | Fiscal Year
3 | `company` | Link | Company | Company
4 | `applies_to_all_departments` | Check | Applies to Company If not checked, the list will have to be added to each Department where it has to be applied. |
5 | `block_days` | Section Break | Block Days Stop users from making Leave Applications on following days. |
6 | `leave_block_list_dates` | Table | Leave Block List Dates | Leave Block List Date
7 | `allow_list` | Section Break | Allow Users Allow the following users to approve Leave Applications for block days. |
8 | `leave_block_list_allowed` | Table | Leave Block List Allowed | Leave Block List Allow

### Controller

#### erpnext.hr.doctype.leave_block_list.leave_block_list

### Class LeaveBlockList

Inherits from frappe.model.document.Document

validate (self)

No docs

Public API
`/api/method/erpnext.hr.doctype.leave_block_list.leave_block_list.get_applicable_block_dates`

erpnext.hr.doctype.leave_block_list.leave_block_list.get_applicable_block_dates (from_date, to_date, employee=None, company=None, all_lists=False)

No docs

erpnext.hr.doctype.leave_block_list.leave_block_list.get_applicable_block_lists (employee=None, company=None, all_lists=False)

No docs

erpnext.hr.doctype.leave_block_list.leave_block_list.is_user_in_allow_list (block_list)

No docs

#### Linked In:

- Department